:root{
    --first-color: #0e2431;
    --second-color: #59d187;
    --third-color: #777;
    --hover-color: #47deac;
    --body-bg-color: #fefefe;
    --card-bg-color: #fff;
    --modal-bg-color: #fff;
    --bg-transparent-color: rgba(0,0,0,0.1);
    --transparent-color-01: rgba(0,0,0,0.1);
    --transparent-color-02: rgba(106, 89, 209, 0.1);
    --line-color: #d7d7d7;
    --color-filter: invert(1);
    --box-shadow: 0px 0px 20px rgb(0 0 0 / 10%);
    --small-font-size: 0.9em;
    --normal-font-size: 1em;
    --scroll-bar-color: #c5cadf;
    --scroll-thumb-color: linear-gradient(to top, #00ff88, #00ffe7 );
    --scroll-thumb-hover-color: #39e16e;

}
@font-face{
    font-family: "orator std";
    src: url('../css/Orator-Std-Font.otf');
    }

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'orator std';

}

html{
    scroll-behavior: smooth;
}

body{
    color: var(--first-color);
    background: var(--body-bg-color);
    margin: 2rem 0 0 0;
    transition: .5s ease;
}

a{
    text-decoration: none;
}

li{
    list-style: none;
}

::-webkit-scrollbar{
    width: 10px;
    background: var(--scroll-bar-color);
}
::-webkit-scrollbar-thumb{
    background: var(--scroll-thumb-color);
    border-radius: 2em;
}

header{
    z-index: 5555;
    width:100%;
    position: fixed;
    top: 0;
    left: 0;
    backdrop-filter: blur(50px);
    transition: .6s ease;
}

header.embed{
    background: rgab(255, 255, 255, 0.1);
    box-shadow: var(--box-shadow);
}

.nav-bar{
    position: relative;
    height: calc(4rem + 1rem);
    max-width: 1250px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    padding: 0 20px;
    transition: .6s ease;
}

header.embed .nav-bar{
    height: calc(2.5rem + 1rem);
}

.nav-bar .logo {
    color: var(--first-color);
    font-size: 1.3em;
    font-weight: 600;
}

.nav-items a{
    color: var(--first-color);
    font-size: var(--normal-font-size);
    font-weight: 500;
}

.nav-items a.active{
    color: var(--second-color);
}

.section-title-02{
    font-size: 2.5em;
    font-weight: 700;
    transform: translateY(-70px);
}


.section-title-02:before{
    content: '';
    position: absolute;
    width: 70px;
    height: 5px;
    right: 0;
    bottom: 0;
    background: var(--second-color);
}

.nav-items a:not(:last-child){
    margin-right: 50px;
}
.nav-items a:hover{
    color: var(--second-color);
}

.nav-menu-btn{
    display: none;
}

.home{
    position: relative;
    max-width: 1250px;
    min-height: 100vh;
    margin-left: auto;
    margin-right: auto;
    padding: 4rem 2rem;
    flex-direction: column;
}

.home .home-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.home-container .media-icons{
    display: flex;
    flex-direction: column;
    margin-left: -80px;
}

.home-container .media-icons a{
    color: var(--second-color);
    font-size: 1.5rem;
    margin: 10px 0;
}

.btn{
    background: var(--second-color);
    color: #fff;
    font-size: var(--normal-font-size);
    font-weight: 500;
    display: inline-block;
    margin-top: 25px;
    padding: 20px 30px;
    letter-spacing: 1px;
    border-radius: 0px 70px 100px 70px;
}

.btn:hover{
    background: var(--hover-color);
}

.flex-center{
    display: flex;
    justify-content: center;
    align-items: center;
}
.home-container .home-img{
    position: relative;
    margin-right: -20px;
}
.home-container .home-img img{
    border-radius: 300px 20px 200px 20px;
}

.home .scroll-down{
    margin-top: 100px;
    color: var(--first-color);
    font-size: var(--normal-font-size);
}

.home .scroll-down i{
    color: var(--second-color);
    font-size: 1.2em;
    animation: arrow-down ease 2s infinite;
}

.home-container .info h2{
    font-size: 4em;
    font-weight: 600;
    line-height: 70px;
}

.home-container .info h3{
    color: var(--third-color);
    font-feature-settings: 1.3em;
    font-weight: 600;
    line-height: 50px;
}

.home-container .info p{
    color: var(--third-color);
    font-size: var(--normal-font-size);
    max-width: 350px;
}

.section{
    position: relative;
    max-width: 1150px;
    margin-left: auto;
    margin-right: auto;
    padding: 6rem 2rem 2rem;
}

.sub-section{
    position: relative;
    max-width: 1150px;
    margin-left: auto;
    margin-right: auto;
    padding: 6rem 0;
}

.section-title-01 {
   font-size: 4.5em;
   font-weight: 800;
   margin-bottom: 2rem;
   background: linear-gradient(to top, transparent 0%, var(--first-color) 70%);
   -webkit-background-clip: text;
   -webkit-text-fill-color: transparent;
   opacity: .1;
}

.section-title-02{
    font-size: 2.5em;
    font-weight: 700;
    transform: translateY(-70px);
}


.section-title-02:before{
    content: '';
    position: absolute;
    width: 70px;
    height: 5px;
    right: 0;
    bottom: 0;
    background: var(--second-color);
}
.container{
    position: relative;
    flex-direction: column;
}

.about .container .content{
    column-gap: 40px;
    width: 100%;
}

.about-img{
    position: relative;
}

.about-img img{
    max-width: 100%;
    min-width: 500px;
    margin-left: -10px ;
}

.about-info .description{
    max-width: 600px;
}

.about-info .description h3{
    font-size: 2em;
    font-weight: 600;
    margin-bottom: 10px;
}

.about-info .description h4{
    font-size: 1.3em;
    font-weight: 600;
    margin-bottom: 10px;
}

.about-info .description h4 span{
    color: var(--second-color);
}

.about-info .description p{
    color: var(--third-color);
    font-size: var(--normal-font-size);
    margin-bottom: 25px;
    padding-bottom: 25px;
    border-bottom: 2px solid var(--line-color);
}

.about-info .proffesional-list{
    display: flex;
    column-gap: 30px;
}

.about-info .proffesional-list .list-item{
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 15px;
    margin-bottom: 20px;
}

.about-info .proffesional-list .list-item h3{
    font-size: 2.5em;
    font-weight: 700;
}

.about-info .proffesional-list .list-item span{
   color: var(--third-color);
   font-size: var(--small-font-size);
}

.skills .container .content{
    width: 100%;
}

.skills-description{
    max-width: 700px;
    margin-bottom: 50px;
}

.skills-description h3{
    font-size: 2em;
    margin-bottom: 5px;
}

.skills-info{
    max-width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 200px;
    margin: 0 auto;
}

.skills-info h4{
    margin-bottom: 20px;
}

.skills-info h4 label{
    background: var(--second-color);
    color: #fff;
    font-size: var(--normal-font-size);
    font-weight: 400;
    padding: 5px 15px;
    border-radius: 5px;
}

.education-all{
    margin-bottom: 80px;
    
}

.edu-list .item{
    background: var(--card-bg-color);
    box-shadow: var(--box-shadow);
    border-bottom: 3px solid var(--second-color);
    padding: 20px;
    margin-top: 15px;
    border-radius: 6px;
    transition: .3s ease;
}

.edu-list .item .year{
    font-size: var(--small-font-size);
    margin-bottom: 5px ;
}

.edu-list .item p{
    color: var(--third-color);
    font-size: var(--small-font-size);
}

.edu-list .item p span{
    color: var(--first-color);
    font-size: var(--normal-font-size);
    font-weight: 500;
}

.bar{
    background: var(--card-bg-color);
    box-shadow: var(--box-shadow);
    margin-bottom: 10px;
    padding: 20px;
    border-radius: 6px;
    transition: .3s ease;
}

.bar .info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
    font-size: var(--small-font-size);
}
 
.bar .info span{
    font-weight: 500;
}

.bar .line{
    position: relative;
    width: 100%;
    height: 7px;
    background: #c5cadf;
    border-radius: 2px;
}

.bar .line:before{
    content: '';
    position: absolute;
    height: 100%;
    top: 0;
    left: 0;
    background: var(--second-color);
    border-radius: 2px;
}

.bar .html::before{
    width: 85%;

}
.bar .js::before{
    width: 70%;

}
.bar .python::before{
    width: 75%;

}
.bar .c::before{
    width: 80%;

}
.bar .security::before{
    width: 40%;

}
.bar .nodejs::before{
    width: 70%;

}
.bar .flask::before{
    width: 65%;

}

.portfolio .container .content{
    width: 100%;
}

.portfolio-list{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    max-width: 100%;
    gap: 35px;
    margin: 0 auto;
}

.portfolio-list .img-card{
    position: relative;
    max-width: 100%;
    height: 360px;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
    overflow: hidden;
    cursor: pointer;
}

.portfolio-list .img-card .overlay{
    transition: 1s ease;
}

.portfolio-list .img-card:hover .overlay{
    z-index: 777;
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.portfolio-list .img-card .info{
    z-index: 777;
    position: absolute;
    bottom: 0;
    left: 0;
    margin: 20px;
    color: #fff;
    transform: translateY(20px);
    opacity: 0;
    transition: .5s ease;
}

.portfolio-list .img-card:hover .info{
    transform: translateY(0);
    opacity: 1;
}

.portfolio-list .img-card .info h3{
    font-size: 1.5em;  
}

.portfolio-list .img-card .info span{
    font-size: 1.2em;  
}

.portfolio-list .img-card img{
    width: 100%;
    height: 100%;
    object-fit: cover; 
}

.portfolio-model{
    z-index: 999999;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: var(--transparent-color-01);
    backdrop-filter: blur(20px);
    visibility: hidden;
    opacity: 0;
    transition: .3s ease;
}

.portfolio-model.active{
    visibility: visible;
    opacity: 1;
}

.portfolio-model-body{
    position: relative;
    background: var(--modal-bg-color);
    max-width: 600px;
    margin: 20px;
    padding: 40px;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
}

.portfolio-model.active .portfolio-model-body{
    transform: translateY(0);
}

.portfolio-close-btn{
    position: absolute;
    top: 0;
    right: 0;
    margin: 20px;
    cursor: pointer;
}

.portfolio-model-body h3{
    font-size: 1.5em;
}

.portfolio-model-body iframe{
    
    width: 100%;
    margin: 20px 0;
    border-radius: 10px;
}

.portfolio-model-body img{
    width: 100%;
    margin: 20px 0;
    border-radius: 10px;
}

.get-in-touch{
    margin-top: 70px;
}

.get-in-touch .container .content{
    width: 100%;
}

.get-in-touch .contact-card{
    position: relative;
    width: 90%;
    background: var(--card-bg-color);
    box-shadow: var(--box-shadow);
    padding: 50px;
    border-radius: 100px;
    column-gap: 50px;
}

.contact-card .title{
    text-transform: uppercase;
    line-height: 60px;

}

.contact-card .title h4{
    font-size: 1.2em;
    font-weight: 300;
    line-height: 20px;
}

.contact-card .title h3{
    font-size: 2.3em;
    font-weight: 400;
}

.contact-card .title h2{
    font-size: 4.2em;
    font-weight: 700;
    background: linear-gradient(to top, transparent 0%, var(--first-color) 50%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: #544a4a4d;
    opacity: .9;
}

footer{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: var(--second-color);
    width: 100%;
    margin-top: 50px;
    padding: 3rem 2rem;
    color: #fff;
}

footer a{
    color: #fff;
}

.footer-container{
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: 1150px;
}

.footer-container .about h2{
    font-size: 3em;
    font-weight: 600;
    background: linear-gradient(to top, transparent 0%, #fff 50%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    opacity: .8;
}

.footer-container .about p{
    font-size: var(--normal-font-size);
    font-weight: 300;
    margin-bottom: 20px;
}

.footer-container .info, .footer-container .follow{
    display: flex;
    align-items: center;
    flex-direction: column;
}

.footer-container .info h3, .footer-container .follow h3{
    font-size: 1.1em;
    font-weight: 500;
    margin-bottom: 30px;
}

.footer-container .info ul, .footer-container .follow ul{
    display: flex;
}

.footer-container .info a{
    margin: 20px;
}

.footer-container .follow a{
    font-size: 1.5em;
    margin: 20px;
}

.footer-copyright p{
    font-size: var(--normal-font-size);
    font-weight: 300;
    margin-top: 50px;
}

.scrollToTop-btn{
    z-index: 999999;
    position: fixed;
    right: 0;
    bottom: 20px;
    width: 45px;
    height: 45px;
    background: var(--second-color);
    color: #fff;
    font-size: var(--small-font-size);
    border-radius: 30px;
    cursor: pointer;
    opacity: 0;
    transition: .5s ease;
}

.scrollToTop-btn.active{
    right: 20px;
    pointer-events: all;
    opacity: 1;
}

.about-img img{
    min-width: 0;
    width: 100%;
}

.about-info{
    min-width: 0;
    width: 100%;
}

.about-info .proffesional-list{
    flex-direction: column;
}

.about-info .proffesional-list .list-item{
    justify-content: start;
}

.home .home-container .info{
    font-size: 0.85rem;
}

.get-in-touch .contact-card{
    display: grid;
    width: 100%;
}





@media screen and (max-width: 1070px) {
   
    .about .container .content{
        display: grid;
        width: 100%;
        row-gap: 20px;
    }
    

    .navigation{
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background: var(--transparent-color-01);
        visibility: hidden;
        opacity: 0;
        transition: .3s ease;
    }

    .navigation.active{
        visibility: visible;
        opacity: 1;

    }

    .nav-items{
        position: relative;
        background: var(--modal-bg-color);
        width: 600px;
        max-width: 600px;
        display: flex;
        align-items: center;
        flex-direction: column;
        margin: 20px;
        padding: 40px;
        border-radius: 10px;
        box-shadow: var(--box-shadow);
        transform: translateY(-50px);
        transition: .3s ease;
    } 

    .navigation.active .nav-items{
        transform: translateY(0px);
    }

    .nav-items a{
        margin: 15px 50px;
    }

    .nav-close-btn{
        position: absolute;
        background: url(../image/x.jpg)no-repeat;
        border-radius: 200px;
        background-position: center;
        width: 40px;
        height: 40px;
        top: 0;
        right: 0;
        margin: 10px;
        cursor: pointer;
    }


    .nav-menu-btn{
        background: url(../image/menu.png)no-repeat;
        background-size: 70px;
        background-position: center;
        width: 40px;
        height: 40px;
        cursor: pointer;
        margin: 10px;
        display: block;
    }

    footer .footer-container{
        flex-direction: column;
    }

    .footer-container .about, .footer-container .info{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        margin-bottom: 50px;
    }

    .footer-container .info ul{
        align-items: center;
        flex-direction: column;
    }
    
    .footer-container .hr{
        width: 100%;
        height: 2px;
        background: rgba(255, 255, 255, 0.1);
        margin: 10px 0 22px;
    }
    .contact-card .title{
        font-size: 0.8em;
        line-height: 50px;
    }
    
}

@media  screen and (max-width: 730px) {
    body{
        margin: 5rem 0 0 0;
    }

    .section-title-01{
        font-size: 3em;
    }

    .section-title-02{
        font-size: 2em;
        transform: translateY(-65px);
    }

    .home .home-container{
        display: grid;
    }

    .home-container .home-img{
        position: absolute;
    }

    .home-container .home-img img{
        width: 65%;
        transform: translate(80px, -180px);
    }

    .home .home-container .info{
        font-size: 0.8rem;
    }

    .media-icons{
        margin-bottom: 80px;
    }

    
}
